# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-zones.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > ~/%{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-zones
Version:       0.2.2
Release:       0.4%{?dist}
Summary:       Meego zones panel

Group:         User Interface/Desktops 
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}

BuildRequires: GConf2-devel
BuildRequires: clutter-gtk010-devel
BuildRequires: mutter-meego-devel
BuildRequires: libmx-devel
BuildRequires: libwnck-devel
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

%description
Zones panel for MeeGo for switching between running applications.

%prep
%setup -q

#sed -i 's|clutter-gtk-0.10|clutter-gtk-1.0|g' configure.ac

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang meego-panel-zones

%clean
rm -rf %{buildroot}

%files -f meego-panel-zones.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/meego-panel-zones
%{_datadir}/dbus-1/services/org.meego.UX.Shell.Panels.zones.service
%{_datadir}/mutter-meego/panels/meego-panel-zones.desktop
%{_datadir}/meego-panel-zones/

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.2-0.3
- build against clutter-gtk010

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-0.1
- Update to 0.2.2 pre release snapshot

* Mon Nov  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.1-1
- Update to 0.2.1

* Fri Oct  1 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.0-0.3
- rebuild against clutter-gtk-1.0

* Thu Sep  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.0-0.2
- Rebuilt for new clutter-gtk

* Wed Aug  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.0-0.1
- Update to 0.2.0 snapshot release

* Fri Jul  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.19-1
- Update to 0.1.19

* Fri Jul  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.18-1
- upstream 0.1.18 release, initial packaging
